чување db28b500ef5cde58c35f230aa27dd7e498d62e11
родитељ 11aa21475f1ff03c0ad46dad73167cf1ec7ec98e
Аутор: Страхиња Радић <contact@strahinja.org>
Датум: Wed, 16 Jun 2021 22:24:04 +0200
Updated unrelated changes from wip-editing
Signed-off-by: Страхиња Радић <contact@strahinja.org>
Diffstat:
измењених датотека: 6, додавања: 22(+), брисања: 18(-)
diff --git a/default.do b/default.do
@@ -1,14 +1,11 @@
-for f in *.h; do
- echo $f
-done | xargs redo-ifchange
if [ -r $1.in ]; then
- redo-ifchange $1.in version date
- read VERSION <version
- read DATE <date
- sed -e "s/%VERSION%/$VERSION/g" \
- -e "s/%DATE%/$DATE/g" <$1.in
+ redo-ifchange $1.in version date
+ read VERSION <version
+ read DATE <date
+ sed -e "s/%VERSION%/$VERSION/g" \
+ -e "s/%DATE%/$DATE/g" <$1.in
else
- echo "$0: don't know how to build '$1'" >&2
- exit 99
+ echo "$0: don't know how to build '$1'" >&2
+ exit 99
fi
diff --git a/default.o.do b/default.o.do
@@ -1,3 +1,6 @@
+for f in *.h; do
+ echo $f
+done | xargs redo-ifchange
redo-ifchange $2.c
${POE_CC:-gcc} -g -Wall -std=c99 -c $2.c -o $3
diff --git a/pack.do b/pack.do
@@ -1,5 +1,7 @@
redo all
-DISTDIR=poe-alpha
+redo-ifchange version
+read VERSION <version
+DISTDIR=poe-$VERSION
mkdir $DISTDIR
cp *.c *.h *.inl *.do README TODO LICENSE $DISTDIR
tar cvf $DISTDIR.tar.xz $DISTDIR >/dev/null
diff --git a/poe.1.in b/poe.1.in
@@ -30,15 +30,15 @@ in the poe repository for details.
.
.SH DESCRIPTION
.B poe
-is a .po (GNU Gettext) file editor with a terminal UI.
+is a .po (GNU gettext) file editor with a terminal UI.
.
.SH "KNOWN LIMITATIONS"
.IP \(bu 4
This project is currently (Jun 2021) still a work in progress.
.
.IP \(bu
-Only one file can be edited at a time, and no additional files can't be loaded
-at runtime. This is a design decision.
+Only one file can be edited at a time, and no additional files can be loaded at
+runtime. This is a design decision.
.
.SH BUGS
.
diff --git a/poe.do b/poe.do
@@ -1,5 +1,7 @@
-redo-ifchange config.def.h config.h
-for f in *.c; do
+for f in *.h.in; do
+ echo $f | sed -e's/\.in$//g'
+done | xargs redo-ifchange
+for f in *.h *.c; do
echo $f
echo $f | sed -e's/\.c$/.o/g'
done | xargs redo-ifchange
diff --git a/version.do b/version.do
@@ -1,6 +1,6 @@
if ! git describe >$3; then
- echo "$0: can't call git describe, falling back to 'unknown'" >&2
- echo 'unknown' >$3
+ echo "$0: can't call git describe, falling back to 'unknown'" >&2
+ echo 'unknown' >$3
fi
redo-always
redo-stamp <$3